Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Run Unit Tests

PUT/transforms/{transforms_id}/run-unit-tests/{version_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
transforms_idstringrequired
version_idstringrequired
Responses
200

Successful Response

languageTransformLanguageEnumrequired
Allowed:PYTHONJAVASCRIPTSQL
value_transformstringrequired
key_transformstring | null
Show properties
Any of:
string
string
null
null
topic_transformstring | null
Show properties
Any of:
string
string
null
null
common_transformstring | null
Show properties
Any of:
string
string
null
null
value_schema_transformstring | null
Show properties
Any of:
string
string
null
null
key_schema_transformstring | null
Show properties
Any of:
string
string
null
null
unit_testTransformsUnitTest | null
Show properties
Any of:
TransformsUnitTest
test_namestringrequired
input__jsonTransformsImplementationDetailsTestRecord[]required
Show properties
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | null
Show properties
Any of:
object
object
null
null
timestampstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
output__jsonTransformsImplementationDetailsTestRecord[]required
Show properties
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | null
Show properties
Any of:
object
object
null
null
timestampstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
result__jsonTransformsImplementationDetailsTestRecord[] | null
Show properties
Any of:
TransformsImplementationDetailsTestRecord[]
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | null
Show properties
Any of:
object
object
null
null
timestampstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
null
null
is_successboolean | null
Show properties
Any of:
boolean
boolean
null
null
html_diffstring | null
Show properties
Any of:
string
string
null
null
text_diffstring | null
Show properties
Any of:
string
string
null
null
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PUT 'https://api.streamkap.com/transforms/string/run-unit-tests/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "language": "PYTHON",
  "value_transform": "string",
  "key_transform": "string",
  "topic_transform": "string",
  "common_transform": "string",
  "value_schema_transform": "string",
  "key_schema_transform": "string",
  "unit_test": {
    "test_name": "string",
    "input__json": [
      {
        "topic": "string",
        "value": {},
        "key": {},
        "timestamp": "2019-08-24T14:15:22Z"
      }
    ],
    "output__json": [
      {
        "topic": "string",
        "value": {},
        "key": {},
        "timestamp": "2019-08-24T14:15:22Z"
      }
    ],
    "result__json": [
      {
        "topic": "string",
        "value": {},
        "key": {},
        "timestamp": "2019-08-24T14:15:22Z"
      }
    ],
    "is_success": true,
    "html_diff": "string",
    "text_diff": "string"
  }
}